Last Comment Bug 531179 - Unsent mail is not automatically sent when coming back online via network detection
: Unsent mail is not automatically sent when coming back online via network det...
Status: RESOLVED FIXED
[has reviewed patch]
: dataloss
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: 3.0
: All All
: -- normal with 2 votes (vote)
: Thunderbird 3.0rc1
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 15:27 PST by Brad Rupp
Modified: 2012-06-20 03:06 PDT (History)
9 users (show)
standard8: blocking‑thunderbird3-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
rc1+
rc1-fixed
wanted


Attachments
do go online stuff when we've received the online notification (3.23 KB, patch)
2010-05-05 08:11 PDT, David :Bienvenu
mkmelin+mozilla: review+
Details | Diff | Splinter Review

Description Brad Rupp 2009-11-25 15:27:34 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.5) Gecko/20091121 Thunderbird/3.0 (Thunderbird 3.0 RC1)

The new offline mode with IMAP is awesome for laptop users.  When I unplug my laptop from the network, messages are automatically scheduled to be sent later.  The problem is that when I plug the laptop back into the network the message is not automatically sent.  I still have to manually tell TB to send the message.

If the Offline settings dialog (Tools menu | Options | Advanced | Network & Disk Space tab | Offline), "send unsent messages when going online?" is set to "Yes."


Reproducible: Always

Steps to Reproduce:
1. Unplug from the network
2. Compose and e-mail and hit Send later
3. Plug into the network
Actual Results:  
The message is not automatically sent.

Expected Results:  
The message should be automatically sent.
Comment 1 Mark Banner (:standard8, limited time in Dec) 2009-11-26 00:57:14 PST
If you come manually back online then it does work (or you get a prompt as per the preference setting).

If your laptop does automatic detection, then it won't automatically send (or prompt).

Automatic detection is present on Mac & Windows so setting os to all as that's the best match.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2009-11-30 10:35:19 PST
We're not going to block on this, but we'll consider a fix if there is something that can be safely included in a security release.

Rafael: we should relnote this.
Comment 3 Bryan Clark (DevTools PM) [:clarkbw] 2009-12-01 14:53:50 PST
this would be good to fix for the 3.1 time frame. I want to mark this blocking the 3.1 release but I'd rather get a fix in the 3.0.1 release.
Comment 4 Bryan Clark (DevTools PM) [:clarkbw] 2009-12-01 14:59:37 PST
if I were "with the times" I would have known about the proper flag setting to target this for the right release
Comment 5 Dan Mosedale (:dmose) 2010-03-03 19:15:23 PST
I think this is effectively dataloss, since users feel like they've sent something, but it doesn't actually arrive until some indefinite point in the future.
Comment 6 Leandro Navarro 2010-03-11 23:49:02 PST
(In reply to comment #5)
> I think this is effectively dataloss, since users feel like they've sent

For me it was much worse: after being offline, thunderbird started to complain that the "sent" folder could not be found, and it stopped working (could not get new messages, and could not successfully send new messages (could not find the "sent" folder anymore, an IMAP remote folder). Therefore I had to remove the config folder and reinstall.
Comment 7 Dan Mosedale (:dmose) 2010-03-15 14:01:56 PDT
Leandro: it's not clear to me why you believe the behavior you describe in comment 6 is part of this bug.  Can you elaborate?
Comment 8 Leandro Navarro 2010-03-16 03:25:36 PDT
(In reply to comment #7)
> Leandro: it's not clear to me why you believe the behavior you describe in
> comment 6 is part of this bug.  Can you elaborate?

Well, after being offline and composing a few messages, when I reconnected, thunderbird got stuck trying to send every message send during off-line mode, probably trying to open the "sent" mailbox (that was the error message). I had to restart thunderbird several times (once per each message composed in offline mode as it was waiting forever trying to copy the message just sent on the "sent" folder). After that, again in online mode, thunderbird could not work anymore (could not retrieve incoming messages, send new messages, etc. so I had to reinstall, cleanup the config, ...). So my taste of the off-line mode was quite a disaster.
Comment 9 Dan Mosedale (:dmose) 2010-03-16 13:38:53 PDT
I'm sorry to hear about that, it sounds like an unpleasant experience.  However, that sounds to me like it's probably not related to this specific bug.  I'd suggest looking in GetSatisfaction at <http://getsatisfaction.com/mozilla_messaging/topics/> to see if anyone else has encountered this issue, and, if not, opening a topic there.  Thanks!
Comment 10 David :Bienvenu 2010-05-04 11:09:10 PDT
I can look at this...
Comment 11 David :Bienvenu 2010-05-05 08:11:58 PDT
Created attachment 443616 [details] [diff] [review]
do go online stuff when we've received the online notification

This patch moves the go online processing from the ui toggle to the "we've gone online" state change. This make us offer to send unsent messages, and playback offline operations when we autodetect that we've gone online.

For windows, I've only been able to trigger the autodetect by putting the machine to sleep and waking it up.

Magnus, please let me know if you won't be able to review this - it's a 3.1 rc1 blocker...thx!
Comment 12 Magnus Melin 2010-05-08 02:35:48 PDT
Comment on attachment 443616 [details] [diff] [review]
do go online stuff when we've received the online notification

Looks good to me
Comment 13 David :Bienvenu 2010-05-10 10:55:59 PDT
fixed for 3.1 rc1, landed on trunk and 1.9.2 comm-central branch

Note You need to log in before you can comment on or make changes to this bug.